

<div class="row">
    <div class="container">

        <ol class="breadcrumb">
            <li><a href="#">المنتجات</a></li>
            <li><a href="productController.php?do=show">عرض المنتجات</a></li>
            <li class="active">طباعه باركود</li>
        </ol>


        <div class="panel panel-default panel-m">
            <div class="panel-heading">
                <h3 class="panel-title"> طباعه الباركود</h3>
                <a href="{$youtubes[59]->url}" target="_blank" class="hidden-print"><img src="../views/default/assets/img/youtube.png" class="pull-left" alt="Youtube" style="width: 2%;"></a>
            </div>
            <div class="panel-body">

                <div id="productdiv" style="display:none">
                    {foreach $allproduct as $myallproduct}
                    <option value="{$myallproduct->productId}">{$myallproduct->productName}</option>
                    {/foreach}
                </div>
                {literal}
                <form class="nameToBeChecked form-horizontal" role="form" action="printparcode.php" method="post" id="printParcodeForm">

                    {/literal}

                    <input type="hidden" name="searchvalue" id="searchvalue" value="{$Programsettingdata->searchvalue}"/>

                    <input name="itr" id="itr" type="hidden" value="1">
                    <input name="storeid" id="storeid" type="hidden" value="{$storeid}">

                    <div class="table-responsive">
                        <table class="table table-black" id="producttabel" width="100%">
                            <tr>
                                <td>اسم الشركة</td>
                                <td>حجم خط الاسم</td>
                                <td>حجم خط الكود</td>
                                <td></td>
                            </tr>
                            <tr>
                                <td>
                                    <input name="name" type="text" id="name" value="{$companyname}" />
                                </td>
                                <td>
                                    <input name="size" type="text" id="size" value="14" onchange="localStorage.setItem('size', this.value)"/>
                                </td>
                                <td>
                                    <input name="codesize" type="text" id="codesize" value="14" onchange="localStorage.setItem('codesize', this.value)"/>
                                </td>
                                <td>
                                    <input name="currency" type="text" id="currency" value="L.E" />
                                </td>
                            </tr>
                            <tr>
                                <td colspan="1">   <!--button type="button"  class="btn" onClick="addproduct();">اضافه منتج</button></td-->
                                <td colspan="3">
                                    <p>
                                        <label class='color-black'>
                                            <input value="0" class="noradioR parcodeTypeToPrint" name="parcodeTypeToPrint" id="parcodeTypeToPrint0" type="radio" onchange="localStorage.setItem('parcodeTypeToPrint', $(this).val())"/>
                                            استخدام الباركود </label>
                                        <label class='color-black'>
                                            <input value="1" class="noradioR parcodeTypeToPrint" name="parcodeTypeToPrint" id="parcodeTypeToPrint1" type="radio" onchange="localStorage.setItem('parcodeTypeToPrint', $(this).val())"/>
                                            استخدام الباركود المتخصص </label>
                                    </p>
                                    <!--p>طباعه السعر التجزئة
                                      <input name="pricOption" type="checkbox" value="1" />
                                      <br>
                                      طباعه السعر الجمله <input name="pricOption1" type="checkbox" value="1" />
                                  </p--></td>
                            </tr>
                            <tr>
                                <th>المنتج</th>
                                <th>الباركود</th>
                                <th id="thprice"></th>
                                <th>عدد مرات الطباعه</th>
                                <th>تعليق</th>
                                <th>حذف</th>

                            </tr>
                            <tr>
                                <td style="width:150 px !important; ">
                                    <div class="form-group">
                                        <label class="col-lg-2 control-label">اختر المنتج</label>
                                        <div class="col-lg-6" style="width:300px" >
                                            <!--select  class="select2 wdt100" style="width:300px"  name="productId1" onChange="getbarcode(this.value,1)">
                                            <option value="-1"></option>
                                             {foreach $allproduct as $myallproduct}
                                             <option value="{$myallproduct->productId}">{$myallproduct->productName}</option>
                                             {/foreach}

                                           </select-->
                                            <div id="myproductselect">
                                                <input type="hidden" class="select2product wdt300"   name="product1" id="product1" data-placeholder="اختر منتج"  />
                                            </div>
                                        </div>
                                    </div>


                                </td>
                            <div id="divname1" style="display:none">
                                <input name="productname1"id="productname1" type="text">
                                <input name="price1"  id="price1" type="text">
                                <input name="pricen1"  id="pricen1" type="text">
                                <input name="pricenen1"  id="pricenen1" type="text">
                                <input name="catname1"  id="catname1" type="text">
                            </div>
                            <td><input name="productbarcode1"  id="productbarcode1" type="text" onkeypress="getproductbyParcode(event, this.value, 1);">
                                <div id="updatebarcod1">
                                </div>
                            </td>
                            <td id="tdPrice1"></td>
                            <td><input name="productnum1"  value="1"  type="text"></td>
                            <td><input name="commentpro1"  value=""  type="text"></td>

                            <td><a onClick="javascript:removebarcodProduct(1)" type="button" class="btn btn-default btn-lg removeicon"></a></td>

                            </tr>


                        </table>
                        <table width="100%" class="table-black">
                            <tr> <td colspan="4">   <button type="button"  class="btn" onClick="addproduct();">اضافه منتج</button></td></tr>
                            <tr>
                                <td colspan="2" width="30%">&nbsp;  </td>
                                <td colspan="2">


                                    <p>
                                        <input name="showComp" type="checkbox" id="showComp" value="1" onchange="localStorage.setItem('showComp', $(this).is(':checked'))"/>
                                        <label for="">إظهار اسم الشركة</label>
                                    </p>
                                    <p>
                                        <input name="cat" type="checkbox" id="cat" value="1" onchange="localStorage.setItem('cat', $(this).is(':checked'))"/>
                                        <label for="">طباعة التصنيف</label>
                                    </p>
                                    <p>
                                        <input name="pricOption" type="radio" id="pricOption0" value="0" onchange="localStorage.setItem('pricOption', this.value)"/>
                                        <label for="">طباعه بدون سعر</label>
                                        <br />
                                    <p>
                                        <input name="pricOption" type="radio" id="pricOption1" value="1" onchange="localStorage.setItem('pricOption', this.value)"/>
                                        <label for="speparcode"> طباعه السعر الجمله</label>
                                        <br />
                                    <p>
                                        <input name="pricOption" type="radio" id="pricOption2" value="2" onchange="localStorage.setItem('pricOption', this.value)"/>
                                        <label for="speparcode"> طباعه السعر نصف الجملة </label>
                                        <br />
                                    <p>
                                        <input name="pricOption" type="radio" id="pricOption3" value="3" onchange="localStorage.setItem('pricOption', this.value)"/>
                                        <label for="">طباعه السعر التجزئة</label>
                                        <br />
                                    <p>
                                        <input name="speparcode" type="checkbox" id="speparcode" value="1" onchange="localStorage.setItem('speparcode', $(this).is(':checked'))"/>
                                        <label for="speparcode">طابعة باركود متخصصه</label>
                                        <br />
                                        <input name="double" type="checkbox" id="double" value="1" onchange="localStorage.setItem('double', $(this).is(':checked'))"/>
                                        <label for="double">طباعة زوجية</label>
                                    </p>
                                    <p>
                                        <input name="showProName" type="checkbox" id="showProName" value="1" onchange="localStorage.setItem('showProName', $(this).is(':checked'))"/>
                                        <label for="showProName">إظهار اسم المنتج</label>
                                        <br />
                                        <input name="showBarcodeImg" type="checkbox" id="showBarcodeImg" value="1" onchange="localStorage.setItem('showBarcodeImg', $(this).is(':checked'))"/>
                                        <label for="showBarcodeImg">إظهار صورة الباركود</label>
                                    </p>
                                </td>
                            </tr>
                        </table>


                    </div>

                    <!-- =================================================   -->






                    <div class="modal fade" id="myModa_barcode" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <button type="button" class="close pull-left" data-dismiss="modal" aria-hidden="true">&times;</button>
                                    <h4 class="modal-title">تعديل الباركود</h4>
                                </div>
                                <div class="modal-body">


                                    <div class="input-group">
                                        <input type="text" class="form-control" id="newbarcod">

                                    </div>
                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-default" data-dismiss="modal">اغلاق</button>
                                    <button type="button" class="btn btn-primary savemodel_barcode">حفظ البيانات</button>
                                </div>
                            </div><!-- /.modal-content -->
                        </div><!-- /.modal-dialog -->
                    </div>


                    <!-- =================================================   -->

                    <div class="form-group">
                        <div class="col-lg-offset-2 col-lg-4">

                            <button type="submit"  class="btn btn-primary pull-left">طباعه </button>

                        </div>
                    </div>


                </form>
            </div>
        </div>




    </div>
</div>



{literal}
<script type="text/javascript">
    var sprytextfield1 = new Spry.Widget.ValidationTextField("sprytextfield1");


    $('.parcodeTypeToPrint').removeAttr('checked');
    if (localStorage.getItem("parcodeTypeToPrint") == 1) {
        $('#parcodeTypeToPrint1').attr('checked', 'checked');
    } else {
        $('#parcodeTypeToPrint0').attr('checked', 'checked');
    }
    //
    if (localStorage.getItem("showComp") == "true") {
        $('#showComp').attr('checked', 'checked');
    } else {
        $('#showComp').removeAttr('checked', 'checked');
    }
    if (localStorage.getItem("cat") == "true") {
        $('#cat').attr('checked', 'checked');
    } else {
        $('#cat').removeAttr('checked', 'checked');
    }
    if (localStorage.getItem("speparcode") == "true") {
        $('#speparcode').attr('checked', 'checked');
    } else {
        $('#speparcode').removeAttr('checked', 'checked');
    }
    if (localStorage.getItem("double") == "true") {
        $('#double').attr('checked', 'checked');
    } else {
        $('#double').removeAttr('checked', 'checked');
    }
    if (localStorage.getItem("showProName") == "true") {
        $('#showProName').attr('checked', 'checked');
    } else {
        $('#showProName').removeAttr('checked', 'checked');
    }
    if (localStorage.getItem("showBarcodeImg") == "true") {
        $('#showBarcodeImg').attr('checked', 'checked');
    } else {
        $('#showBarcodeImg').removeAttr('checked', 'checked');
    }

    if (localStorage.getItem("size")) {
        $('#size').val(localStorage.getItem('size'));
    } else {
        $('#size').val(14);
    }

    if (localStorage.getItem("codesize")) {
        $('#codesize').val(localStorage.getItem('codesize'));
    } else {
        $('#codesize').val(14);
    }

    //
    for (var i = 0; i < 4; i++) {
        if (localStorage.getItem("pricOption") == i.toString()) {
            $('#pricOption' + i).attr('checked', 'checked');
        } else {
            $('#pricOption' + i).removeAttr('checked', 'checked');
        }
    }

    $('[name="pricOption"]').live('change', function () {
        var choosenPrice = Number($('[name="pricOption"]:checked').val());
        switch (choosenPrice) {
            case 0://noprice
                $('#thprice').hide();
                $('#thprice').html("");

                //$('#tdPrice' + itr).html("");
                $("[id^='tdPrice']").each(function () {
                    $(this).hide();
                    $(this).html("");
                });

                break;
            case 1://sell all
                $('#thprice').show();
                $('#thprice').html("سعر الجمله");
                //$('#tdPrice' + itr).html($('#pricenen' + itr).val());
                $("[id^='tdPrice']").each(function () {
                    var itr = $(this).attr('id').substr(7);
                    $(this).show();
                    $(this).html($('#pricenen' + itr).val());
                });
                break;
            case 2://sell half
                $('#thprice').show();
                $('#thprice').html("سعر نصف الجملة");
                //$('#tdPrice' + itr).html($('#pricen' + itr).val());
                $("[id^='tdPrice']").each(function () {
                    var itr = $(this).attr('id').substr(7);
                    $(this).show();
                    $(this).html($('#pricen' + itr).val());
                });
                break;
            case 3://sell unit
                $('#thprice').show();
                $('#thprice').html("سعر التجزئة");
                //$('#tdPrice' + itr).html($('#price' + itr).val());
                $("[id^='tdPrice']").each(function () {
                    var itr = $(this).attr('id').substr(7);
                    $(this).show();
                    $(this).html($('#price' + itr).val());
                });
                break;
        }
    });
    $('#pricOption0').trigger('change');


    $(function () {
        $("#product1").select2({
            placeholder: "إسم المنتج",
            minimumInputLength: document.getElementById("searchvalue").value,
            //minimumInputLength: 3,
            multiple: false,
            quietMillis: 100,
            ajax: {
                url: "sellbillAjaxController.php?do=getProducts",
                dataType: 'json',
                data: function (term, page) {
                    return {
                        term: term, //search term
                        page_limit: 10, // page size
                        storeid: $("#storeid").val(),
                    };
                },
                results: function (data) {
                    return {results: data};
                }
            },
            formatResult: formatResultFatma,
            initSelection: function (element, callback) {
                var item = element.val().split(':');
                var data = {id: item[0], text: item[1]};
                callback(data);
            }
        });


        $("#product1").change(function () {


            var theselectedvalue = $(this).val();
            getbarcode(theselectedvalue, 1);

        });
    });

    function getproductbyParcode(e, value, itr)
    {
        //\s means "one space", and \s+ means "one or more spaces".
        value = value.replace(/\s+/g, '');//\s is the regex for "whitespace", and g is the "global" flag, meaning match ALL \s (whitespaces).
        var code = (e.keyCode ? e.keyCode : e.which);
        //to stop the submit of the form
        if (e.which == 13 && value != "")
        {
            e.preventDefault();
            e.stopPropagation();
            var billnameid = 3;
            value = value.replace("ه", "i");//this replacement is for parcode reader
            value = value.replace("÷", "i");//this replacement is for parcode reader
            value = value.replace("/", "i");//this replacement is for parcode reader
            value = value.replace("I", "i");//this replacement is for parcode reader
            //alert(value.charAt(0));
            $.ajax({
                url: 'sellbillAjaxController.php?do=getproductNamebyOnlyParcode&parcode=' + value + '&billnameid=' + billnameid + '',
                success: function (data) {
                    var response = $.parseJSON(data);
                    getbarcode(response.id, itr);
                    $("#productbarcode" + itr).val(value);
                    $("#product" + itr).select2('data', {id: response.id, text: response.text});
                }
            });
            // }
        }
    }

</script>
{/literal}
